Index: extensions/dict_dcca/dict_dcca.c
===================================================================
--- extensions/dict_dcca/dict_dcca.c	(revision 842)
+++ extensions/dict_dcca/dict_dcca.c	(revision 843)
@@ -4,5 +4,5 @@
  TODO:
   - rules for all Grouped AVPs
- ****************/
+****************/
 
 
@@ -15,52 +15,52 @@
 /* The content of this file follows the same structure as dict_base_proto.c */
 
-#define CHECK_dict_new( _type, _data, _parent, _ref )	\
-	CHECK_FCT(  fd_dict_new( fd_g_config->cnf_dict, (_type), (_data), (_parent), (_ref))  );
-
-#define CHECK_dict_search( _type, _criteria, _what, _result )	\
-	CHECK_FCT(  fd_dict_search( fd_g_config->cnf_dict, (_type), (_criteria), (_what), (_result), ENOENT) );
+#define CHECK_dict_new( _type, _data, _parent, _ref )			\
+    CHECK_FCT(  fd_dict_new( fd_g_config->cnf_dict, (_type), (_data), (_parent), (_ref))  );
+
+#define CHECK_dict_search( _type, _criteria, _what, _result )		\
+    CHECK_FCT(  fd_dict_search( fd_g_config->cnf_dict, (_type), (_criteria), (_what), (_result), ENOENT) );
 
 struct local_rules_definition {
-	char 			*avp_name;
-	enum rule_position	position;
-	int 			min;
-	int			max;
+    char 			*avp_name;
+    enum rule_position	position;
+    int 			min;
+    int			max;
 };
 
 #define RULE_ORDER( _position ) ((((_position) == RULE_FIXED_HEAD) || ((_position) == RULE_FIXED_TAIL)) ? 1 : 0 )
 
-#define PARSE_loc_rules( _rulearray, _parent) {								\
-	int __ar;											\
-	for (__ar=0; __ar < sizeof(_rulearray) / sizeof((_rulearray)[0]); __ar++) {			\
-		struct dict_rule_data __data = { NULL, 							\
-			(_rulearray)[__ar].position,							\
-			0, 										\
-			(_rulearray)[__ar].min,								\
-			(_rulearray)[__ar].max};							\
-		__data.rule_order = RULE_ORDER(__data.rule_position);					\
-		CHECK_FCT(  fd_dict_search( 								\
-			fd_g_config->cnf_dict,								\
-			DICT_AVP, 									\
-			AVP_BY_NAME, 									\
-			(_rulearray)[__ar].avp_name, 							\
-			&__data.rule_avp, 0 ) );							\
-		if ( !__data.rule_avp ) {								\
-			TRACE_DEBUG(INFO, "AVP Not found: '%s'", (_rulearray)[__ar].avp_name );		\
-			return ENOENT;									\
-		}											\
-		CHECK_FCT_DO( fd_dict_new( fd_g_config->cnf_dict, DICT_RULE, &__data, _parent, NULL),	\
-			{							        		\
-				TRACE_DEBUG(INFO, "Error on rule with AVP '%s'",      			\
-					 (_rulearray)[__ar].avp_name );		      			\
-				return EINVAL;					      			\
-			} );							      			\
-	}									      			\
-}
-
-#define enumval_def_u32( _val_, _str_ ) \
-		{ _str_, 		{ .u32 = _val_ }}
-
-#define enumval_def_os( _len_, _val_, _str_ ) \
-		{ _str_, 		{ .os = { .data = (unsigned char *)_val_, .len = _len_ }}}
+#define PARSE_loc_rules( _rulearray, _parent) {				\
+	int __ar;							\
+	for (__ar=0; __ar < sizeof(_rulearray) / sizeof((_rulearray)[0]); __ar++) { \
+	    struct dict_rule_data __data = { NULL,			\
+					     (_rulearray)[__ar].position, \
+					     0,				\
+					     (_rulearray)[__ar].min,	\
+					     (_rulearray)[__ar].max};	\
+	    __data.rule_order = RULE_ORDER(__data.rule_position);	\
+	    CHECK_FCT(  fd_dict_search(					\
+			    fd_g_config->cnf_dict,			\
+			    DICT_AVP,					\
+			    AVP_BY_NAME,				\
+			    (_rulearray)[__ar].avp_name,		\
+			    &__data.rule_avp, 0 ) );			\
+	    if ( !__data.rule_avp ) {					\
+		TRACE_DEBUG(INFO, "AVP Not found: '%s'", (_rulearray)[__ar].avp_name );	\
+		return ENOENT;						\
+	    }								\
+	    CHECK_FCT_DO( fd_dict_new( fd_g_config->cnf_dict, DICT_RULE, &__data, _parent, NULL), \
+			  {						\
+			      TRACE_DEBUG(INFO, "Error on rule with AVP '%s'", \
+					  (_rulearray)[__ar].avp_name ); \
+			      return EINVAL;				\
+			  } );						\
+	}								\
+    }
+
+#define enumval_def_u32( _val_, _str_ )		\
+    { _str_, 		{ .u32 = _val_ }}
+
+#define enumval_def_os( _len_, _val_, _str_ )				\
+    { _str_, 		{ .os = { .data = (unsigned char *)_val_, .len = _len_ }}}
 
 
@@ -86,10 +86,10 @@
         {
             struct dict_enumval_data error_code = {"END_USER_SERVICE_DENIED",
-                { .u32 = 4010}};
+						   { .u32 = 4010}};
             CHECK_dict_new(DICT_ENUMVAL, &error_code, ResultCodeType, NULL);
         }
         {
             struct dict_enumval_data error_code = {"CREDIT_CONTROL_NOT_APPLICABLE",
-                { .u32 = 4011}};
+						   { .u32 = 4011}};
             CHECK_dict_new(DICT_ENUMVAL, &error_code, ResultCodeType, NULL);
         }
